import React from 'react';
import Loadable from 'react-loadable';
// import Main from './components/main';

export default function createRoutes() {
  return [
    {
      path: '/',
      exact: true,
      component: Loadable({
        loader: () => import('./containers/HomeContainer'),
        loading() {
          return <div id="loader" className="spinner"></div>;
        }
      }),
    },
    {
      path: '/about',
      exact: true,
      component: Loadable({
        loader: () => import('./components/About'),
        loading() {
          return <div id="loader" className="spinner"></div>;
        }
      }),
    },
    {
      path: '/service',
      exact: true,
      component: Loadable({
        loader: () => import('./components/ServiceContainer'),
        loading() {
          return <div id="loader" className="spinner"></div>;
        }
      }),
    }
  ];
}
